Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Mono 2.8 was recently released boasting a couple of large performance improvements. It's far too late for it to make it into Maverick and I'm fairly inpatient.

I don't use Mono for anything mission-critical (just playing music and sorting photos) and if it breaks everything related to Mono, I can probably either live with it or fix it. I'm aware of how much I stand to lose if I mess things up.

So with that acknowledged, does anybody here know how to build Mono in a way where it could be dropped in to replace the current Mono (2.6.7)? By this I mean ideally mirroring the packages that Ubuntu uses so that if the worse does happen, I can just downgrade the packages.

Or is there a PPA that does all this for me?

share|improve this question

9 Answers 9

up vote 15 down vote accepted

Download and install the mono-parallel 2.10 deb package.

After installing the deb file paste this in the terminal (Ctrl + Alt + T)

source mono-2.10-environment

After this your terminal will look like

[mono] /var/dev/mono @

Source

share|improve this answer
1  
Great late addition. Have some points. –  Oli Mar 9 '11 at 12:58
    
Great gun's WAYYYYYYY easier than trying to get the compile from source one working, I've had 4 attempts so far now, all result in "You have a PARTIALLY INSTALLED.... IN /OPT/MONO...", small problem though. The link given here is 64bit AMD only, anyone know if there is a i386 build (The server I'm trying to get this on is not an x64) –  shawty Nov 2 '12 at 18:27

There is a ppa.ppa:gezakovacs/sandbox contains mono 2.10 packages, with a big disclaimer at the top. Your choice.

share|improve this answer

Same author as the link Tom Opgenorth provided, but updated for mono 2.10.1

https://github.com/nathanb/iws-snippets/raw/master/mono-install-scripts/ubuntu/update_mono-2.10-to-mono-2.10.1.sh

share|improve this answer

Looks like the script has just been updated to install Mono 2.10 on Fedora and Ubuntu. The scripts themselves are on GitHub.

share|improve this answer

According to this thread, you can just use a different prefix:

--prefix=/opt/mono28
share|improve this answer

If you're command line savy, you can compile it from source, using sudo make checkinstall instead of sudo make install, to get debs that you can downgrade later (you'll have a load of debs to downgrade though, YOU HAVE BEEN WARNED!!!!!)

share|improve this answer

You can always get the latest Mono version by using the VMware image provided at: Mono Downloads Page

share|improve this answer

Mono 2.8 is not available in a PPA. But someone made a script to automatically download, compile and install Mono 2.8 from source. That makes it a little bit easier.

share|improve this answer
    
+1 the script really helped! –  Zhanger Dec 24 '11 at 1:16

The place to go for a mono PPA is http://badgerports.org/ unfortunately it could be months before it will have mono 2.8

Novell do not believe it is their responsibility to provide mono packages for ubuntu so the effort has to come from the community.

Jo Shields maintains both the official packages and the badgerports PPA. He said it could be months before mono 2.8 is available via his PPA.

So your only option at this stage is to build from source. Which is not for the faint hearted.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.